Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4316)
@@ -58,3 +58,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.0.4302")]
+[assembly: AssemblyFileVersion("3.3.0.4305")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs	(revision 4316)
@@ -92,7 +92,9 @@
     /// This method changes the endpoint-address while preserving the identity-certificate defined in the config file
     /// </summary>
-    public static void SetEndpointAddress(ServiceEndpoint endpoint, string address) {
+    public static void SetEndpointAddress(ServiceEndpoint endpoint, string hostAddress) {
       EndpointAddressBuilder builder = new EndpointAddressBuilder(endpoint.Address);
-      builder.Uri = new Uri(address);
+      UriBuilder uriBuilder = new UriBuilder(builder.Uri);
+      uriBuilder.Host = hostAddress;
+      builder.Uri = uriBuilder.Uri;
       endpoint.Address = builder.ToEndpointAddress();
     }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs	(revision 4316)
@@ -299,4 +299,7 @@
           OnStopped();
         }
+        finally {
+          ServiceLocator.DisposeClientFacade(clientFacade);
+        }
 
         sendingJobsFinished = true;
@@ -463,4 +466,5 @@
       fetchJobSemaphore.WaitOne();
       ResponseObject<SerializedJob> jobResponse = clientFacade.GetLastSerializedResult(jobId, false, false);
+      ServiceLocator.DisposeClientFacade(clientFacade);
       IJob restoredObject = XmlParser.Deserialize<IJob>(new MemoryStream(jobResponse.Obj.SerializedJobData));
       IOptimizer restoredOptimizer = ((OptimizerJob)restoredObject).Optimizer;
@@ -562,4 +566,7 @@
                 LogMessage("Polling results failed: " + e.Message);
               }
+              finally {
+                ServiceLocator.DisposeClientFacade(clientFacade);
+              }
               Thread.Sleep(resultPollingIntervalMs);
             } else {
@@ -592,35 +599,40 @@
       Thread t = new Thread(() => {
         IClientFacade clientFacade = CreateStreamedClientFacade();
-        ResponseObject<SerializedJob> response;
-        int retryCount = 0;
-
-        Response snapShotResponse = clientFacade.RequestSnapshot(jobId);
-        if (snapShotResponse.StatusMessage == ResponseStatus.RequestSnapshot_JobIsNotBeeingCalculated) {
-          // job already finished
-          Logger.Debug("HiveExperiment: Abort - GetLastResult(false)");
-          response = clientFacade.GetLastSerializedResult(jobId, false, false);
-          Logger.Debug("HiveExperiment: Abort - Server: " + response.StatusMessage);
-        } else {
-          // server sent snapshot request to client
-          // poll until snapshot is ready
-          do {
-            Thread.Sleep(snapshotPollingIntervalMs);
-            Logger.Debug("HiveExperiment: Abort - GetLastResult(true)");
-            response = clientFacade.GetLastSerializedResult(jobId, false, true);
+        try {
+          ResponseObject<SerializedJob> response;
+          int retryCount = 0;
+
+          Response snapShotResponse = clientFacade.RequestSnapshot(jobId);
+          if (snapShotResponse.StatusMessage == ResponseStatus.RequestSnapshot_JobIsNotBeeingCalculated) {
+            // job already finished
+            Logger.Debug("HiveExperiment: Abort - GetLastResult(false)");
+            response = clientFacade.GetLastSerializedResult(jobId, false, false);
             Logger.Debug("HiveExperiment: Abort - Server: " + response.StatusMessage);
-            retryCount++;
-            // loop while
-            // 1. problem with communication with server
-            // 2. job result not yet ready
-          } while (
-            (retryCount < maxSnapshotRetries) && (
-            response.StatusMessage == ResponseStatus.GetLastSerializedResult_JobResultNotYetThere)
-            );
-        }
-        if (response.StatusMessage == ResponseStatus.Ok) {
-          LogMessage(jobId, "Snapshot polling successfull for job " + jobId);
-          UpdateSnapshot(response);
-        } else {
-          LogMessage(jobId, "Error: Polling of Snapshot failed for job " + jobId + ": " + response.StatusMessage);
+          } else {
+            // server sent snapshot request to client
+            // poll until snapshot is ready
+            do {
+              Thread.Sleep(snapshotPollingIntervalMs);
+              Logger.Debug("HiveExperiment: Abort - GetLastResult(true)");
+              response = clientFacade.GetLastSerializedResult(jobId, false, true);
+              Logger.Debug("HiveExperiment: Abort - Server: " + response.StatusMessage);
+              retryCount++;
+              // loop while
+              // 1. problem with communication with server
+              // 2. job result not yet ready
+            } while (
+              (retryCount < maxSnapshotRetries) && (
+              response.StatusMessage == ResponseStatus.GetLastSerializedResult_JobResultNotYetThere)
+              );
+          }
+          if (response.StatusMessage == ResponseStatus.Ok) {
+            LogMessage(jobId, "Snapshot polling successfull for job " + jobId);
+            UpdateSnapshot(response);
+          } else {
+            LogMessage(jobId, "Error: Polling of Snapshot failed for job " + jobId + ": " + response.StatusMessage);
+          }
+        }
+        finally {
+          ServiceLocator.DisposeClientFacade(clientFacade);
         }
       });
@@ -870,5 +882,6 @@
       do {
         try {
-          clientFacade = ServiceLocator.CreateClientFacade(string.Format("http://{0}:{1}/{2}", Settings.Default.HiveServerIp, Settings.Default.HiveServerPort, WcfSettings.ClientServiceName));
+          //clientFacade = ServiceLocator.CreateClientFacade(string.Format("http://{0}:{1}/{2}", Settings.Default.HiveServerIp, Settings.Default.HiveServerPort, WcfSettings.ClientServiceName));
+          clientFacade = ServiceLocator.CreateClientFacade(Settings.Default.HiveServerIp);
 
         } catch (EndpointNotFoundException exception) {
@@ -884,6 +897,6 @@
       do {
         try {
-          clientFacade = ServiceLocator.CreateStreamedClientFacade(string.Format("http://{0}:{1}/{2}", Settings.Default.HiveServerIp, Settings.Default.HiveServerPort, WcfSettings.ClientStreamedServiceName));
-
+          //clientFacade = ServiceLocator.CreateStreamedClientFacade(string.Format("http://{0}:{1}/{2}", Settings.Default.HiveServerIp, Settings.Default.HiveServerPort, WcfSettings.ClientStreamedServiceName));
+          clientFacade = ServiceLocator.CreateStreamedClientFacade(Settings.Default.HiveServerIp);
         } catch (EndpointNotFoundException exception) {
           LogMessage("Could not connect to Server: " + exception.Message + ". Will try again in " + (resultPollingIntervalMs / 1000) + " sec.");
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs	(revision 4316)
@@ -31,7 +31,7 @@
 namespace HeuristicLab.Hive.Experiment {
   internal class ServiceLocator {
-    internal static IClientFacade CreateClientFacade(string url) {
+    internal static IClientFacade CreateClientFacade(string hostAddress) {
       ChannelFactory<IClientFacade> factory = new ChannelFactory<IClientFacade>("ClientHttpEndpoint");
-      WcfSettings.SetEndpointAddress(factory.Endpoint, url);
+      WcfSettings.SetEndpointAddress(factory.Endpoint, hostAddress);
 
       factory.Credentials.UserName.UserName = Settings.Default.HiveUsername;
@@ -42,7 +42,7 @@
     }
 
-    internal static IClientFacade CreateStreamedClientFacade(string url) {
-      ChannelFactory<IClientFacade> factory = new ChannelFactory<IClientFacade>("ClientStreamedHttpEndpoint");
-      WcfSettings.SetEndpointAddress(factory.Endpoint, url);
+    internal static IClientFacade CreateStreamedClientFacade(string hostAddress) {
+      ChannelFactory<IClientFacade> factory = new ChannelFactory<IClientFacade>("ClientTcpStreamedEndpoint");
+      WcfSettings.SetEndpointAddress(factory.Endpoint, hostAddress);
 
       factory.Credentials.UserName.UserName = Settings.Default.HiveUsername;
@@ -52,4 +52,21 @@
       return client;
     }
+
+    public static void DisposeClientFacade(IClientFacade clientFacade) {
+      ICommunicationObject obj = (ICommunicationObject)clientFacade;
+      if (obj != null) {
+        if (obj.State != CommunicationState.Faulted &&
+            obj.State != CommunicationState.Closed) {
+          try { obj.Close(); }
+          catch (CommunicationObjectFaultedException) { obj.Abort(); }
+          catch (TimeoutException) { obj.Abort(); }
+          catch (Exception) {
+            obj.Abort();
+            throw;
+          }
+        } else
+          obj.Abort();
+      }
+    }
   }
 }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/ServiceLocator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/ServiceLocator.cs	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/ServiceLocator.cs	(revision 4316)
@@ -30,5 +30,5 @@
       if (serverConsoleFacade == null && Address != String.Empty && Port != String.Empty) {
         ChannelFactory<IServerConsoleFacade> factory = new ChannelFactory<IServerConsoleFacade>("ServerConsoleHttpEndpoint");
-        WcfSettings.SetEndpointAddress(factory.Endpoint, string.Format("http://{0}:{1}/{2}", Address, Port, WcfSettings.ServerConsoleServiceName));
+        WcfSettings.SetEndpointAddress(factory.Endpoint, Address);
 
         factory.Credentials.UserName.UserName = Username;
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Tools/RecreateServiceConfig.bat
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Tools/RecreateServiceConfig.bat	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Tools/RecreateServiceConfig.bat	(revision 4316)
@@ -4,4 +4,4 @@
 SvcUtil.exe ^
       /noLogo ^
-      http://localhost1:9000/ServerConsoleService/?wsdl ^
+      http://localhost:9000/ServerConsoleService?wsdl ^
       /config:app.config
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs	(revision 4316)
@@ -68,16 +68,16 @@
       }
       catch (AddressAccessDeniedException ex) {
-        throw new Exception("Unable to start WCF-Services due to missing rights. Run the following command as administrator: \"netsh http add urlacl url=http://+" + WcfSettings.DefaultPort + "/ user=MYMACHINE\\UserName\". See inner exception for more details.", ex);
+        throw new Exception("Unable to start WCF-Services due to missing rights. Run the following command as administrator: \"netsh http add urlacl url=http://+:" + WcfSettings.DefaultPort + "/ user=MYMACHINE\\UserName\". See inner exception for more details.", ex);
       }
     }
 
-    private IDictionary<string, Uri> GetBaseAddresses() {
-      IDictionary<string, Uri> dict = new Dictionary<string, Uri>();
+    private IEnumerable<Uri> GetBaseAddresses() {
+      List<Uri> list = new List<Uri>();
       foreach (KeyValuePair<string, ServiceHost> host in serviceHosts) {
         foreach (var addr in host.Value.BaseAddresses) {
-          dict.Add(host.Key, addr);
+          list.Add(addr);
         }
       }
-      return dict;
+      return list;
     }
   }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.Designer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.Designer.cs	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.Designer.cs	(revision 4316)
@@ -66,4 +66,5 @@
           this.ni.Text = "notifyIcon1";
           this.ni.Visible = true;
+          this.ni.MouseClick += new System.Windows.Forms.MouseEventHandler(this.ni_MouseClick);
           // 
           // ctxNotifyMenu
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.cs	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.cs	(revision 4316)
@@ -11,18 +11,11 @@
 namespace HeuristicLab.Hive.Server {
   public partial class MainForm : Form {
-    public MainForm(IDictionary<string, Uri> addresses) {
+    public MainForm(IEnumerable<Uri> addresses) {
       InitializeComponent();
 
-      Uri uri;
       StringBuilder servicesTxt = new StringBuilder();
-      addresses.TryGetValue(WcfSettings.SlaveServiceName, out uri);
-      if (uri != null)
-        servicesTxt.AppendLine(String.Format("Server Slave: {0}", uri));
-      addresses.TryGetValue(WcfSettings.ServerConsoleServiceName, out uri);
-      if (uri != null)
-        servicesTxt.AppendLine(String.Format("Server Console: {0}", uri));
-      addresses.TryGetValue(WcfSettings.ClientServiceName, out uri);
-      if (uri != null)
-        servicesTxt.AppendLine(String.Format("Execution Engine: {0}", uri));
+      foreach (Uri uri in addresses) {
+        servicesTxt.AppendLine(uri.ToString());
+      }
 
       rtfServices.AppendText(servicesTxt.ToString());
@@ -49,4 +42,8 @@
       this.Visible = false;
     }
+
+    private void ni_MouseClick(object sender, MouseEventArgs e) {
+      ShowInfo(sender, e);
+    }
   }
 }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4316)
@@ -122,4 +122,5 @@
       <DependentUpon>Settings.settings</DependentUpon>
     </Compile>
+    <Compile Include="ServiceLocator.cs" />
     <Compile Include="WcfService.cs" />
   </ItemGroup>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveService/SlaveFacade.wsdl
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveService/SlaveFacade.wsdl	(revision 4315)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveService/SlaveFacade.wsdl	(revision 4316)
@@ -638,4 +638,107 @@
     </wsp:ExactlyOne>
   </wsp:Policy>
+  <wsp:Policy wsu:Id="SlaveTcpStreamedEndpoint_policy">
+    <wsp:ExactlyOne>
+      <wsp:All>
+        <msb:BinaryEncoding xmlns:msb="http://schemas.microsoft.com/ws/06/2004/mspolicy/netbinary1" />
+        <sp:TransportBinding xmlns:sp="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
+          <wsp:Policy>
+            <sp:TransportToken>
+              <wsp:Policy>
+                <msf:SslTransportSecurity xmlns:msf="http://schemas.microsoft.com/ws/2006/05/framing/policy" />
+              </wsp:Policy>
+            </sp:TransportToken>
+            <sp:AlgorithmSuite>
+              <wsp:Policy>
+                <sp:Basic256 />
+              </wsp:Policy>
+            </sp:AlgorithmSuite>
+            <sp:Layout>
+              <wsp:Policy>
+                <sp:Strict />
+              </wsp:Policy>
+            </sp:Layout>
+            <sp:IncludeTimestamp />
+          </wsp:Policy>
+        </sp:TransportBinding>
+        <sp:EndorsingSupportingTokens xmlns:sp="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
+          <wsp:Policy>
+            <sp:SecureConversationToken sp:IncludeToken="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy/IncludeToken/AlwaysToRecipient">
+              <wsp:Policy>
+                <sp:BootstrapPolicy>
+                  <wsp:Policy>
+                    <sp:SignedParts>
+                      <sp:Body />
+                      <sp:Header Name="To" Namespace="http://www.w3.org/2005/08/addressing" />
+                      <sp:Header Name="From" Namespace="http://www.w3.org/2005/08/addressing" />
+                      <sp:Header Name="FaultTo" Namespace="http://www.w3.org/2005/08/addressing" />
+                      <sp:Header Name="ReplyTo" Namespace="http://www.w3.org/2005/08/addressing" />
+                      <sp:Header Name="MessageID" Namespace="http://www.w3.org/2005/08/addressing" />
+                      <sp:Header Name="RelatesTo" Namespace="http://www.w3.org/2005/08/addressing" />
+                      <sp:Header Name="Action" Namespace="http://www.w3.org/2005/08/addressing" />
+                    </sp:SignedParts>
+                    <sp:EncryptedParts>
+                      <sp:Body />
+                    </sp:EncryptedParts>
+                    <sp:TransportBinding>
+                      <wsp:Policy>
+                        <sp:TransportToken>
+                          <wsp:Policy>
+                            <msf:SslTransportSecurity xmlns:msf="http://schemas.microsoft.com/ws/2006/05/framing/policy" />
+                          </wsp:Policy>
+                        </sp:TransportToken>
+                        <sp:AlgorithmSuite>
+                          <wsp:Policy>
+                            <sp:Basic256 />
+                          </wsp:Policy>
+                        </sp:AlgorithmSuite>
+                        <sp:Layout>
+                          <wsp:Policy>
+                            <sp:Strict />
+                          </wsp:Policy>
+                        </sp:Layout>
+                        <sp:IncludeTimestamp />
+                      </wsp:Policy>
+                    </sp:TransportBinding>
+                    <sp:SignedSupportingTokens>
+                      <wsp:Policy>
+                        <sp:UsernameToken sp:IncludeToken="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy/IncludeToken/AlwaysToRecipient">
+                          <wsp:Policy>
+                            <sp:WssUsernameToken10 />
+                          </wsp:Policy>
+                        </sp:UsernameToken>
+                      </wsp:Policy>
+                    </sp:SignedSupportingTokens>
+                    <sp:Wss11>
+                      <wsp:Policy />
+                    </sp:Wss11>
+                    <sp:Trust10>
+                      <wsp:Policy>
+                        <sp:MustSupportIssuedTokens />
+                        <sp:RequireClientEntropy />
+                        <sp:RequireServerEntropy />
+                      </wsp:Policy>
+                    </sp:Trust10>
+                  </wsp:Policy>
+                </sp:BootstrapPolicy>
+              </wsp:Policy>
+            </sp:SecureConversationToken>
+          </wsp:Policy>
+        </sp:EndorsingSupportingTokens>
+        <sp:Wss11 xmlns:sp="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
+          <wsp:Policy />
+        </sp:Wss11>
+        <sp:Trust10 xmlns:sp="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
+          <wsp:Policy>
+            <sp:MustSupportIssuedTokens />
+            <sp:RequireClientEntropy />
+            <sp:RequireServerEntropy />
+          </wsp:Policy>
+        </sp:Trust10>
+        <msf:Streamed xmlns:msf="http://schemas.microsoft.com/ws/2006/05/framing/policy" />
+        <wsaw:UsingAddressing />
+      </wsp:All>
+    </wsp:ExactlyOne>
+  </wsp:Policy>
   <wsdl:import namespace="http://schemas.microsoft.com/ws/2005/02/mex/bindings" location="http://localhost:9000/SlaveService?wsdl=wsdl0" />
   <wsdl:types>
@@ -949,4 +1052,134 @@
       <wsdl:output>
         <wsp:PolicyReference URI="#SlaveHttpEndpoint_ProcessSnapshotStreamed_output_policy" />
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+  </wsdl:binding>
+  <wsdl:binding name="SlaveTcpStreamedEndpoint" type="tns:ISlaveFacade">
+    <wsp:PolicyReference URI="#SlaveTcpStreamedEndpoint_policy" />
+    <soap12:binding transport="http://schemas.microsoft.com/soap/tcp" />
+    <wsdl:operation name="Login">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/Login" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="ProcessHeartBeat">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/ProcessHeartBeat" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="GetJob">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/GetJob" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="StoreFinishedJobResult">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/StoreFinishedJobResult" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="ProcessSnapshot">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/ProcessSnapshot" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="Logout">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/Logout" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="IsJobStillNeeded">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/IsJobStillNeeded" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="GetPlugins">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/GetPlugins" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="GetCalendar">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/GetCalendar" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="SetCalendarStatus">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/SetCalendarStatus" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="GetStreamedJob">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveFacade/GetStreamedJob" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="GetStreamedPlugins">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveFacade/GetStreamedPlugins" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="StoreFinishedJobResultStreamed">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveFacade/StoreFinishedJobResultStreamed" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="ProcessSnapshotStreamed">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveFacade/ProcessSnapshotStreamed" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
         <soap12:body use="literal" />
       </wsdl:output>
@@ -973,4 +1206,19 @@
       </wsa10:EndpointReference>
     </wsdl:port>
+    <wsdl:port name="SlaveTcpStreamedEndpoint" binding="tns:SlaveTcpStreamedEndpoint">
+      <soap12:address location="net.tcp://localhost:9001/SlaveServiceStreamed" />
+      <wsa10:EndpointReference>
+        <wsa10:Address>net.tcp://localhost:9001/SlaveServiceStreamed</wsa10:Address>
+        <Identity xmlns="http://schemas.xmlsoap.org/ws/2006/02/addressingidentity">
+          <Dns>localhost</Dns>
+        </Identity>
+      </wsa10:EndpointReference>
+    </wsdl:port>
+    <wsdl:port name="SlaveTcpMexEndpoint" binding="i0:SlaveTcpMexEndpoint">
+      <soap12:address location="net.tcp://localhost:9001/SlaveServiceStreamed/mex" />
+      <wsa10:EndpointReference>
+        <wsa10:Address>net.tcp://localhost:9001/SlaveServiceStreamed/mex</wsa10:Address>
+      </wsa10:EndpointReference>
+    </wsdl:port>
   </wsdl:service>
 </wsdl:definitions>
